Bug 1749133 - Updates to fix robotics spin compose
Summary: Updates to fix robotics spin compose
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: player
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F31BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-09-05 01:26 UTC by Rich Mattes
Modified: 2020-01-09 15:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-09 15:46:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Rich Mattes 2019-09-05 01:26:40 UTC
Description of problem:
The Player package depends on gstreamer for the gst audio driver.  Gstreamer is broken in f31 and retired in f32, so Player's dependency on gstreamer needs to be removed.

A rebuilt package with the removed dep has been submitted as https://bodhi.fedoraproject.org/updates/FEDORA-2019-bb64984618

The robotics spin requires Player to be installable, so a freeze exception is required for this Player package update for the spin generation.


Additionally, eclipse-cdt is broken in f31, which the robotics spin also depends on.  fedora-comps[1] and fedora-kickstarts[2][3] have open PRs to replace eclipse-cdt with qtcreator to provide a C++ IDE for the robotics spin.  These PRs are also needed in f31 for the robotics spin to build.

[1]https://pagure.io/fedora-comps/pull-request/409
[2]https://pagure.io/fedora-kickstarts/pull-request/575
[3]https://pagure.io/fedora-kickstarts/pull-request/576

Comment 1 Fedora Blocker Bugs Application 2019-09-05 01:31:28 UTC
Proposed as a Freeze Exception for 31-beta by Fedora user rmattes using the blocker tracking app because:

 Per the 2019-09-03 round up of failing images, the robotics spin image fails to build due to two problems:
- Player depends on gstreamer, which is unavailable
- The robotics-suite comps group requires eclipse-cdt, which has broken dependencies.

To resolve these issues, three changes are needed for the freeze exception process, which are outlined in the linked bug
1. Rebuild player without gstreamer
2. Update fedora comps to replace eclipse-cdt in the robotics-suite group with a working C++ IDE (qtcreator)
3. Update to fedora kickstarts to replace eclipse-cdt gnome-shell shortcut with a working C++ IDE (qtcreator)

Comment 2 Geoffrey Marr 2019-09-09 19:53:41 UTC
Discussed during the 2019-09-09 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as fixing a non-blocking image compose is a good reason for a freeze exception, and the required changes here look focused and safe.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-09/f31-blocker-review.2019-09-09-16.00.txt

Comment 3 Nicolas Chauvet (kwizart) 2020-01-09 15:46:26 UTC
I guess it was fixed already.


Note You need to log in before you can comment on or make changes to this bug.